Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-0199

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2009-0199
Last Modified 29 Sep 2009 12:00:00
Published 08 Sep 2009 06:30:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2009-0199

Summary

Heap-based buffer overflow in the VMnc media codec in vmnc.dll in VMware Movie Decoder before 6.5.3 build 185404, VMware Workstation 6.5.x before 6.5.3 build 185404, VMware Player 2.5.x before 2.5.3 build 185404, and VMware ACE 2.5.x before 2.5.3 build 185404 on Windows might allow remote attackers to execute arbitrary code via a video file with crafted dimensions (aka framebuffer parameters).

Vulnerable Systems

Application

  • Vmware Ace 2.5.0

  • Vmware Ace 2.5.1

  • Vmware Ace 2.5.2

  • Vmware Movie Decoder 6.5.3

  • Vmware Player 2.5

  • Vmware Player 2.5.1

  • Vmware Player 2.5.2

  • Vmware Player 2.5.2 Build 156735

  • Vmware Workstation 6.5

  • Vmware Workstation 6.5.0

  • Vmware Workstation 6.5.1

  • Vmware Workstation 6.5.2


References

VUPEN - ADV-2009-2553

CONFIRM - http://www.vmware.com/security/advisories/VMSA-2009-0012.html

MLIST - [security-announce] 20090904 VMSA-2009-0012 VMware Movie Decoder, VMware Workstation, VMware Player, and VMware ACE resolve security issues.

BID - 36290

BUGTRAQ - 20090905 VMSA-2009-0012 VMware Movie Decoder, VMware Workstation, VMware Player, and VMware ACE resolve security issues.

MISC - http://secunia.com/secunia_research/2009-25/

SECUNIA - 34938


Last Updated: 27 May 2016 10:50:09